org.firebirdsql.gds.ng.wire.crypt

## Class KnownServerKey

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.crypt.KnownServerKey

    public final class KnownServerKey
    extends java.lang.Object

Class to hold server keys known to the client.

Since:
  3.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`KnownServerKey(java.lang.String keyType, java.util.List<java.lang.String> plugins)`
`KnownServerKey(java.lang.String keyType, java.lang.String plugins)`

### Method Summary

Methods
`java.util.List<EncryptionIdentifier>` `getIdentifiers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KnownServerKey

    public KnownServerKey(java.lang.String keyType,
                  java.util.List<java.lang.String> plugins)

#### KnownServerKey

    public KnownServerKey(java.lang.String keyType,
                  java.lang.String plugins)

### Method Detail

#### getIdentifiers

    public java.util.List<EncryptionIdentifier> getIdentifiers()